##############################################
# Instalan skript pro Tardat 4
# Databze: PostgreSQL 8
# Autor: David Motl
# Datum: 02.10.2005
##############################################

try drop table dalsipol;
try drop table denik;
try drop table export;
try drop table hotel;
try drop table hotelpob;
try drop table hovory;
try drop table hwklice;
try drop table hwzdroje;
try drop table importform;
try drop table importpob;
try drop table importlin;
try drop table intseznam;
try drop table linky;
try drop table monitor;
try drop table nazvysloupcu;
try drop table obecne;
try drop table oblastisite;
try drop table odberatele;
try drop table odefil;
try drop table pobocky;
try drop table prehledy;
try drop table pristupkody;
try drop table provozovatele;
try drop table pruchodkody;
try drop table pruchodsite;
try drop table role;
try drop table sazebniky;
try drop table skupiny;
try drop table sloupce;
try drop table staty;
try drop table strediska;
try drop table styly;
try drop table svazky;
try drop table tarpasma;
try drop table tarprogramy;
try drop table tarprovozy;
try drop table tarsite;
try drop table ustredny;
try drop table uzivatele;
try drop table uzivkody;
try drop table uzivsit;
try drop table uzlysite;
try drop table vstupnibody;
try drop table zuctkody;

CREATE TABLE denik (
	dt timestamp NOT NULL DEFAULT now(),
	evnt smallint NOT NULL DEFAULT 0,
	uid smallint NOT NULL DEFAULT 0,
	data int NOT NULL DEFAULT 0
);

CREATE TABLE export (
	uid smallint NOT NULL,
	typ smallint NOT NULL,
	cesta varchar (255) NOT NULL DEFAULT '',
	soubor varchar (255) NOT NULL DEFAULT '',
	form varchar (8) NOT NULL DEFAULT 'TXT',
	detail smallint NOT NULL DEFAULT 0,
	textnazev smallint NOT NULL DEFAULT 1,
	textinfo smallint NOT NULL DEFAULT 1,
	textpopis smallint NOT NULL DEFAULT 1,
	textsoucty smallint NOT NULL DEFAULT 1,
	textstranky smallint NOT NULL DEFAULT 0,
	texth_cary smallint NOT NULL DEFAULT 0,
	textv_cary smallint NOT NULL DEFAULT 0,
	textdivp smallint NOT NULL DEFAULT 0,
	textradku smallint NOT NULL DEFAULT 80,
	textcp varchar (8) NOT NULL DEFAULT 'WIN',
	rtfnazev smallint NOT NULL DEFAULT 1,
	rtfinfo smallint NOT NULL DEFAULT 1,
	rtfpopis smallint NOT NULL DEFAULT 1,
	rtfsoucty smallint NOT NULL DEFAULT 1,
	rtfdivp smallint NOT NULL DEFAULT 0,
	csvnazev smallint NOT NULL DEFAULT 1,
	csvinfo smallint NOT NULL DEFAULT 1,
	csvpopis smallint NOT NULL DEFAULT 1,
	csvdivp smallint NOT NULL DEFAULT 0,
	csvcp varchar (8) NOT NULL DEFAULT 'WIN',
	csvenc varchar (8) NOT NULL DEFAULT '',
	csvesc varchar (8) NOT NULL DEFAULT '\\',
	csvfterm varchar (8) NOT NULL DEFAULT ';',
	csvlterm varchar (8) NOT NULL DEFAULT '\n',
	csvrem varchar (8) NOT NULL DEFAULT '#',
	csvdec varchar (8) NOT NULL DEFAULT '.',
	csvencopt smallint NOT NULL DEFAULT 1,
	htmlnazev smallint NOT NULL DEFAULT 1,
	htmlinfo smallint NOT NULL DEFAULT 1,
	htmlpopis smallint NOT NULL DEFAULT 1,
	htmlsoucty smallint NOT NULL DEFAULT 1,
	htmldivp smallint NOT NULL DEFAULT 0,
	htmlcp varchar (8) NOT NULL DEFAULT 'ISO',
	sqlpozn smallint NOT NULL DEFAULT 1,
	sqlcreate smallint NOT NULL DEFAULT 1,
	sqldrop smallint NOT NULL DEFAULT 1,
	sqluse smallint NOT NULL DEFAULT 0,
	sqltable varchar (64) NOT NULL DEFAULT '',
	sqldb varchar (64) NOT NULL DEFAULT '',
	sqlcp varchar (8) NOT NULL DEFAULT 'WIN',
	dbfdivp smallint NOT NULL DEFAULT 0,
	dbfcp varchar (8) NOT NULL DEFAULT 'DOS',
	PRIMARY KEY (uid, typ)
);

CREATE TABLE hovory (
	START timestamp NOT NULL ,
	ID_HOVOR serial NOT NULL PRIMARY KEY,
	HOVORHOTELU smallint NOT NULL DEFAULT 0,
	USKUTECNEN smallint NOT NULL DEFAULT 0,
	VYZVEDNUT smallint NOT NULL DEFAULT 0,
	VYUCTOVAN smallint NOT NULL DEFAULT 0,
	JEDNOTEK int NOT NULL DEFAULT 0,
	TRVANI int NOT NULL DEFAULT 0,
	ODECET10 smallint NOT NULL DEFAULT 0,
	FILTR smallint NOT NULL DEFAULT 0,
	KVYZVA int NOT NULL DEFAULT 0,
	CISLOPBX smallint NOT NULL DEFAULT 0,
	TYPVOLBY smallint NOT NULL DEFAULT 0,
	SRF int NOT NULL DEFAULT 0,
	SRFTYPU smallint NOT NULL DEFAULT 0,
	SRFTYPZ smallint NOT NULL DEFAULT 0,
	SRL int NOT NULL DEFAULT 0,
	SRLTYP smallint NOT NULL DEFAULT 0,
	SRV int NOT NULL DEFAULT 0,
	SRVTYP smallint NOT NULL DEFAULT 0,
	PREPSR smallint NOT NULL DEFAULT 0,
	DTF int NOT NULL DEFAULT 0,
	DTFTYPU smallint NOT NULL DEFAULT 0,
	DTFTYPZ smallint NOT NULL DEFAULT 0,
	DTL int NOT NULL DEFAULT 0,
	DTLTYP smallint NOT NULL DEFAULT 0,
	DTV int NOT NULL DEFAULT 0,
	DTVTYP smallint NOT NULL DEFAULT 0,
	PREPDT smallint NOT NULL DEFAULT 0,
	VOLCISF varchar (32) NOT NULL DEFAULT '',
	VOLCISL varchar (32) NOT NULL DEFAULT '',
	MASKTYP smallint NOT NULL DEFAULT 0,
	MASKPODLE smallint NOT NULL DEFAULT 0,
	MASKPOCET smallint NOT NULL DEFAULT 0,
	ACCESTRF varchar (32) NOT NULL DEFAULT '',
	ACCESTRL varchar (32) NOT NULL DEFAULT '',
	ACCE smallint NOT NULL DEFAULT 0,
	AUTHSTR varchar (32) NOT NULL DEFAULT '',
	AUTHTYP smallint NOT NULL DEFAULT 0,
	ACCOSTR varchar (32) NOT NULL DEFAULT '',
	ACCOTYP smallint NOT NULL DEFAULT 0,
	USERSTR varchar (32) NOT NULL DEFAULT '',
	SKUPSTR varchar (32) NOT NULL DEFAULT '',
	SKUPTYP smallint NOT NULL DEFAULT 0,
	BOD smallint NOT NULL DEFAULT 0,
	SITTYP smallint NOT NULL DEFAULT 0,
	VOLCISS varchar (32) NOT NULL DEFAULT '',
	STAT smallint NOT NULL DEFAULT -1,
	PROVOZOVATEL smallint NOT NULL DEFAULT -1,
	TARPROGRAM smallint NOT NULL DEFAULT -1,
	PASMOSITE int NOT NULL DEFAULT -1,
	SAZEBNIK smallint NOT NULL DEFAULT -1,
	PROVOZ smallint NOT NULL DEFAULT -1,
	PASMOPRO smallint NOT NULL DEFAULT -1,
	OBLASTMMM smallint NOT NULL DEFAULT 0,
	TYPINFORMACE smallint NOT NULL DEFAULT 0,
	JETARIFPR smallint NOT NULL DEFAULT 0,
	JETARIFPS smallint NOT NULL DEFAULT 0,
	JETARIFKOR smallint NOT NULL DEFAULT 0,
	JETRVOD1PULZU smallint NOT NULL DEFAULT 0,
	UMISSTA int NOT NULL DEFAULT -1,
	UMISTTO int NOT NULL DEFAULT -1,
	UMISMTO int NOT NULL DEFAULT -1,
	PULZU int NOT NULL DEFAULT 0,
	TYPPULZU smallint NOT NULL DEFAULT 0,
	CENAPUL float NOT NULL DEFAULT 0,
	PRIPL smallint NOT NULL DEFAULT 0,
	CENAPREPOC int NOT NULL DEFAULT 0,
	PROCDPH smallint NOT NULL DEFAULT 190
);

CREATE TABLE hotel (
	id_hotel serial NOT NULL PRIMARY KEY,
	jmeno varchar (255) NOT NULL DEFAULT '',
	ulice varchar (255) NOT NULL DEFAULT '',
	mesto varchar (255) NOT NULL DEFAULT '',
	psc   varchar (32) NOT NULL DEFAULT '',
	dalsi varchar (255) NOT NULL DEFAULT '',
	pozn  varchar (255) NOT NULL DEFAULT '',
	prichod timestamp,
	odchod timestamp,
	doklad varchar (32) NOT NULL DEFAULT '',
	provolano int NOT NULL DEFAULT 0,
	zaplaceno int NOT NULL DEFAULT 0,
	vlozil varchar (255) NOT NULL DEFAULT '',
	vyuctoval varchar (255) NOT NULL DEFAULT ''
);

CREATE TABLE hotelpob (
	ucet int NOT NULL,
	pobid int NOT NULL,
	pbxid int NOT NULL
);

CREATE TABLE hwklice (
	ida smallint NOT NULL ,
	idb int NOT NULL DEFAULT 0,
	cis smallint NOT NULL DEFAULT 0,
	pos smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (ida)
);

CREATE TABLE hwzdroje (
	ida smallint NOT NULL ,
	idb smallint NOT NULL ,
	pos smallint NOT NULL DEFAULT 0,
	val smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (ida, idb)
);

CREATE TABLE importform (
	id int NOT NULL PRIMARY KEY,
	jmeno varchar (64) NOT NULL DEFAULT '',
	pocetpoli smallint NOT NULL DEFAULT 0,
	separ varchar (8) NOT NULL DEFAULT ';',
	voltyp smallint NOT NULL DEFAULT 0,
	volpoz smallint NOT NULL DEFAULT 0,
	volmaska smallint NOT NULL DEFAULT 9,
	datum smallint NOT NULL DEFAULT 0,
	cas smallint NOT NULL DEFAULT 0,
	telcislo smallint NOT NULL DEFAULT 0,
	trvani smallint NOT NULL DEFAULT 0,
	cena smallint NOT NULL DEFAULT 0,
	lintyp smallint NOT NULL DEFAULT 0,
	linpoz smallint NOT NULL DEFAULT 0,
	linmaska smallint NOT NULL DEFAULT 9,
	uzivkod smallint NOT NULL DEFAULT 0
);

CREATE TABLE importpob (
	id int NOT NULL PRIMARY KEY,
	maska varchar (255) NOT NULL DEFAULT '?',
	pobocka int NOT NULL
);

CREATE TABLE importlin (
	id int NOT NULL PRIMARY KEY,
	maska varchar (255) NOT NULL DEFAULT '?',
	linka int NOT NULL
);

CREATE TABLE intseznam (
	id int NOT NULL PRIMARY KEY,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	zobr smallint NOT NULL DEFAULT 1,
	maska varchar (255) NOT NULL DEFAULT '%',
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643
);

CREATE TABLE linky (
	id int NOT NULL,
	pbxid int NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	vis smallint NOT NULL DEFAULT 1,
	jetarifpr smallint NOT NULL DEFAULT 0,
	jetarifkor smallint NOT NULL DEFAULT 0,
	ignode smallint NOT NULL DEFAULT 0,
	ignfil smallint NOT NULL DEFAULT 0,
	typvolby smallint NOT NULL DEFAULT 0,
	pripl int NOT NULL DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	dosvazku smallint NOT NULL DEFAULT 0,
	svazek int NOT NULL DEFAULT -1,
	toptr_dosite smallint NOT NULL DEFAULT 0,
	toptr_bod smallint NOT NULL DEFAULT -1,
	toptr_dousite smallint NOT NULL DEFAULT 0,
	toptr_dopsite smallint NOT NULL DEFAULT 0,
	toptr_psit smallint NOT NULL DEFAULT -1,
	toptr_dopbx smallint NOT NULL DEFAULT 0,
	toptr_pbx smallint NOT NULL DEFAULT -1,
	toptr_dotab smallint NOT NULL DEFAULT 0,
	fmptr_dosite smallint NOT NULL DEFAULT 0,
	fmptr_bod smallint NOT NULL DEFAULT -1,
	fmptr_dousite smallint NOT NULL DEFAULT 0,
	fmptr_dopsite smallint NOT NULL DEFAULT 0,
	fmptr_psit smallint NOT NULL DEFAULT -1,
	fmptr_dopbx smallint NOT NULL DEFAULT 0,
	fmptr_pbx smallint NOT NULL DEFAULT -1,
	fmptr_dotab smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (id, pbxid)
);

CREATE TABLE monitor (
	uid int NOT NULL PRIMARY KEY,
	sekund int NOT NULL DEFAULT 10,
	pocet int NOT NULL DEFAULT 30,
	sloupce varchar (255) NOT NULL DEFAULT '',
	cenap smallint NOT NULL DEFAULT 0,
	celadb smallint NOT NULL DEFAULT 1,
	fuziv smallint NOT NULL DEFAULT 0,
	uziv varchar (255) NOT NULL  DEFAULT '',
	fpbx smallint NOT NULL DEFAULT 0,
	pbx varchar (255) NOT NULL  DEFAULT '',
	ftyp smallint NOT NULL DEFAULT 0,
	typ int NOT NULL DEFAULT 65535,
	fpob smallint NOT NULL DEFAULT 0,
	pob varchar (255) NOT NULL  DEFAULT '',
	flin smallint NOT NULL DEFAULT 0,
	lin varchar (255) NOT NULL  DEFAULT ''
);

CREATE TABLE nazvysloupcu (
	id smallint NOT NULL PRIMARY KEY,
	nazev varchar (255) NOT NULL DEFAULT ''
);

CREATE TABLE obecne (
	layout smallint NOT NULL DEFAULT 0,
	kadmin smallint NOT NULL DEFAULT 0,
	phesla smallint NOT NULL DEFAULT 0,
	verstr varchar (32) NOT NULL DEFAULT '',
	vernum smallint NOT NULL DEFAULT 0,
	verkey smallint NOT NULL DEFAULT 0,
	modkey int NOT NULL DEFAULT 0,
	cna smallint NOT NULL DEFAULT 0,
	crc int NOT NULL DEFAULT 0,
	cdc timestamp NOT NULL DEFAULT now(),
	cdc2 timestamp NOT NULL DEFAULT now(),
	softkeys smallint NOT NULL DEFAULT 0,
	ico varchar (32) NOT NULL DEFAULT '',
	jmeno varchar (255) NOT NULL DEFAULT '',
	fakcislo varchar (32) NOT NULL DEFAULT '0',
	fakprilohy smallint NOT NULL DEFAULT 0,
	dodjmeno1 varchar (255) NOT NULL DEFAULT '',
	dodjmeno2 varchar (255) NOT NULL  DEFAULT '',
	dodulice varchar (255) NOT NULL DEFAULT '',
	dodmesto varchar (255) NOT NULL DEFAULT '',
	dodpsc varchar (32) NOT NULL DEFAULT '',
	dodico varchar (32) NOT NULL DEFAULT '',
	doddic varchar (32)  NOT NULL DEFAULT '',
	dodbanka varchar (32) NOT NULL DEFAULT '',
	dodostatni varchar (255) NOT NULL DEFAULT '',
	dodplatce smallint NOT NULL DEFAULT 0,
	uctcislo varchar (32) NOT NULL DEFAULT '0',
	uctpapir varchar (4) NOT NULL DEFAULT 'A4',
	uctorient smallint NOT NULL DEFAULT 0,
	uctnadpis varchar (255) NOT NULL DEFAULT 'Nae firma',
	uctpodnadpis varchar (255) NOT NULL DEFAULT 'Vytovn telefonnch hovor',
	uctzaver varchar (255) NOT NULL DEFAULT 'Dkujeme za Vai nvtvu',
	uctzaokr smallint NOT NULL DEFAULT 0,
	uctvypis smallint NOT NULL DEFAULT 0,
	uctbw smallint NOT NULL DEFAULT 1,
	uctdatum smallint NOT NULL DEFAULT 0,
	ucttmargin int NOT NULL DEFAULT 2000,
	uctbmargin int NOT NULL DEFAULT 2000,
	uctrmargin int NOT NULL DEFAULT 1000,
	uctlmargin int NOT NULL DEFAULT 1000,
	uctfont1 varchar (64) NOT NULL DEFAULT '',
	uctfont2 varchar (64) NOT NULL DEFAULT '',
	uctfont3 varchar (64) NOT NULL DEFAULT '',
	uctvyuct smallint NOT NULL DEFAULT 0,
	uctneplac smallint NOT NULL DEFAULT 0,
	fontname varchar (64) NOT NULL DEFAULT 'Arial',
	fontsize smallint NOT NULL DEFAULT 8,
	fontstyle varchar (8) NOT NULL DEFAULT '',
	fontcharset smallint NOT NULL DEFAULT 238
);

CREATE TABLE oblastisite (
	id int NOT NULL,
	jmeno varchar (64) NOT NULL DEFAULT '',
	predvolba varchar (32) NOT NULL DEFAULT '00420',
	cislo varchar (64) NOT NULL DEFAULT '',
	PRIMARY KEY (id)
);

CREATE TABLE odberatele (
	gid int NOT NULL,
	jmeno1 varchar (255) NOT NULL DEFAULT '',
	jmeno2 varchar (255) NOT NULL DEFAULT '',
	ulice varchar (255) NOT NULL DEFAULT '',
	mesto varchar (255) NOT NULL DEFAULT '',
	psc varchar (32) NOT NULL DEFAULT '',
	ico varchar (32) NOT NULL DEFAULT '',
	dic varchar (32) NOT NULL DEFAULT '',
	banka varchar (32) NOT NULL DEFAULT '',
	objedn varchar (32) NOT NULL DEFAULT '',
	ks varchar (4) NOT NULL DEFAULT '',
	uhrada smallint NOT NULL DEFAULT 0,
	zaokr smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (gid)
);

CREATE TABLE odefil (
	pbxid smallint NOT NULL,
	busid smallint NOT NULL,
	oblast smallint NOT NULL,
	ode smallint NOT NULL DEFAULT 15,
	fil smallint NOT NULL DEFAULT 10,
	PRIMARY KEY (pbxid, busid, oblast)
);

CREATE TABLE pobocky (
	id int NOT NULL ,
	pbxid int NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	auth varchar (32) NOT NULL DEFAULT '',
	skup smallint NOT NULL DEFAULT 0,
	stred smallint NOT NULL DEFAULT 0,
	vis smallint NOT NULL DEFAULT 1,
	hotel smallint NOT NULL DEFAULT 0,
	maskatyp smallint NOT NULL DEFAULT 0,
	pripl smallint NOT NULL DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	PRIMARY KEY (id, pbxid)
);

CREATE TABLE prehledy (
	id_prehled serial NOT NULL PRIMARY KEY,
	userid smallint NOT NULL,
	nazev varchar (255) NOT NULL,
	vlast smallint NOT NULL DEFAULT 0,
	druh smallint NOT NULL DEFAULT 0,
	zobrcenuprich smallint NOT NULL DEFAULT 0,
	startfiltr smallint NOT NULL DEFAULT 0,
	starttisk smallint NOT NULL DEFAULT 0,
	startfakt smallint NOT NULL DEFAULT 0,
	zobraznevol smallint NOT NULL DEFAULT 0,
	ignorbarvy smallint NOT NULL DEFAULT 0,
	formdelky smallint NOT NULL DEFAULT 0,
	formdatcas smallint NOT NULL DEFAULT 0,
	odberatel smallint NOT NULL DEFAULT 0,
	rezimfiltr smallint NOT NULL DEFAULT 0,
	castifiltr int NOT NULL DEFAULT 64079,
	rezimprehl smallint NOT NULL DEFAULT 0,
	castiprehl int NOT NULL DEFAULT 65535,
	kurzorkriz smallint NOT NULL DEFAULT 0,
	zobrazpanel smallint NOT NULL DEFAULT 1,
	zobraztlac smallint NOT NULL DEFAULT 1,
	plnamrizka smallint NOT NULL DEFAULT 0,
	barvamrizky int NOT NULL DEFAULT 12632256,
	bloknasloupec smallint NOT NULL DEFAULT 0,
	bloknastranku smallint NOT NULL DEFAULT 0,
	bloknalist smallint NOT NULL DEFAULT 0,
	zobrazfiltr smallint NOT NULL DEFAULT 1,
	podrobfiltr smallint NOT NULL DEFAULT 0,
	zobrazrazeni smallint NOT NULL DEFAULT 1,
	zobrazuvod smallint NOT NULL DEFAULT 1,
	zobrazzaver smallint NOT NULL DEFAULT 1,
	zobraznazev smallint NOT NULL DEFAULT 1,
	nazevtext varchar (255) NOT NULL DEFAULT '',
	sortcol1 smallint NOT NULL DEFAULT 0,
	sortdir1 smallint NOT NULL DEFAULT 0,
	sortcol2 smallint NOT NULL DEFAULT 0,
	sortdir2 smallint NOT NULL DEFAULT 0,
	groupcol1 smallint NOT NULL DEFAULT 1,
	groupdir1 smallint NOT NULL DEFAULT 0,
	groupcol2 smallint NOT NULL DEFAULT 1,
	groupdir2 smallint NOT NULL DEFAULT 0,
	BlokCol1 smallint NOT NULL DEFAULT 1,
	BlokDir1 smallint NOT NULL DEFAULT 0,
	BlokCol2 smallint NOT NULL DEFAULT 1,
	BlokDir2 smallint NOT NULL DEFAULT 0,
	UseLimit smallint NOT NULL DEFAULT 0,
	ValLimit smallint NOT NULL DEFAULT 10,
	CelaDB smallint NOT NULL DEFAULT 1,
	FDatumCas smallint NOT NULL DEFAULT 0,
	DatumCas smallint NOT NULL DEFAULT 0,
	CasOd timestamp NOT NULL DEFAULT '1900-01-01 00:00:00',
	CasDo timestamp NOT NULL DEFAULT '1900-01-01 00:00:00',
	RelInt smallint NOT NULL DEFAULT 0,
	RelOd smallint NOT NULL DEFAULT 0,
	RelDo smallint NOT NULL DEFAULT 0,
	RelPrv smallint NOT NULL DEFAULT 0,
	FDny smallint NOT NULL DEFAULT 0,
	Dny smallint NOT NULL DEFAULT 0,
	FDoba smallint NOT NULL DEFAULT 0,
	DobaOd smallint NOT NULL DEFAULT 0,
	DobaDo smallint NOT NULL DEFAULT 1439,
	FTrvani smallint NOT NULL DEFAULT 0,
	TrvaniOd int NOT NULL DEFAULT 0,
	TrvaniDo int NOT NULL DEFAULT 0,
	FVyzva smallint NOT NULL DEFAULT 0,
	VyzvaOd int NOT NULL DEFAULT 0,
	VyzvaDo int NOT NULL DEFAULT 0,
	FOdecet smallint NOT NULL DEFAULT 0,
	OdecetOd int NOT NULL DEFAULT 0,
	OdecetDo int NOT NULL DEFAULT 0,
	FJedn smallint NOT NULL DEFAULT 0,
	JednOd int NOT NULL DEFAULT 0,
	JednDo int NOT NULL DEFAULT 0,
	FPoradi smallint NOT NULL DEFAULT 0,
	PoradiOd int NOT NULL DEFAULT 0,
	PoradiDo int NOT NULL DEFAULT 0,
	FPripl smallint NOT NULL DEFAULT 0,
	PriplOd int NOT NULL DEFAULT 0,
	PriplDo int NOT NULL DEFAULT 0,
	FVyzved smallint NOT NULL DEFAULT 0,
	Vyzved smallint NOT NULL DEFAULT 0,
	FVyucto smallint NOT NULL DEFAULT 0,
	Vyucto smallint NOT NULL DEFAULT 0,
	FAutor smallint NOT NULL DEFAULT 0,
	Autor smallint NOT NULL DEFAULT 0,
	FOblast smallint NOT NULL DEFAULT 0,
	Oblast smallint NOT NULL DEFAULT 0,
	FTyp smallint NOT NULL DEFAULT 0,
	Typ smallint NOT NULL DEFAULT 0,
	FCena smallint NOT NULL DEFAULT 0,
	Cena smallint NOT NULL DEFAULT 0,
	CenaOd int NOT NULL DEFAULT 0,
	CenaDo int NOT NULL DEFAULT 0,
	PrepOd int NOT NULL DEFAULT 0,
	PrepDo int NOT NULL DEFAULT 0,
	FUzivKody smallint NOT NULL DEFAULT 0,
	UzivKody varchar (255) NOT NULL DEFAULT '',
	FSkupiny smallint NOT NULL DEFAULT 0,
	Skupiny varchar (255) NOT NULL DEFAULT '',
	FStrediska smallint NOT NULL DEFAULT 0,
	Strediska varchar (255) NOT NULL DEFAULT '',
	FPobocky smallint NOT NULL DEFAULT 0,
	Pobocky varchar (255) NOT NULL DEFAULT '',
	FLinky smallint NOT NULL DEFAULT 0,
	Linky varchar (255) NOT NULL DEFAULT '',
	FSvazky smallint NOT NULL DEFAULT 0,
	Svazky varchar (255) NOT NULL DEFAULT '',
	FCisla smallint NOT NULL DEFAULT 0,
	Cisla varchar (255) NOT NULL DEFAULT '',
	FKody smallint NOT NULL DEFAULT 0,
	Kody varchar (255) NOT NULL DEFAULT '',
	FOdchod smallint NOT NULL DEFAULT 0,
	Odchod varchar (255) NOT NULL DEFAULT '',
	FUstredny smallint NOT NULL DEFAULT 0,
	Ustredny varchar (255) NOT NULL DEFAULT '',
	FProvoz smallint NOT NULL DEFAULT 0,
	Provoz varchar (255) NOT NULL DEFAULT '',
	FVolcis smallint NOT NULL DEFAULT 0,
	Volcis varchar (255) NOT NULL DEFAULT '',
	papir varchar (255) NOT NULL DEFAULT 1,
	sirka int NOT NULL DEFAULT 21000,
	vyska int NOT NULL DEFAULT 29700,
	navysku smallint NOT NULL DEFAULT 1,
	okrhor int NOT NULL DEFAULT 2000,
	okrdol int NOT NULL DEFAULT 2000,
	okrlev int NOT NULL DEFAULT 1000,
	okrpra int NOT NULL DEFAULT 1000,
	sloupcu smallint NOT NULL DEFAULT 1,
	slmezera smallint NOT NULL DEFAULT 500,
	hlavicka smallint NOT NULL DEFAULT 0,
	hlavys smallint NOT NULL DEFAULT 500,
	hlamez smallint NOT NULL DEFAULT 500,
	hlalev varchar (255) NOT NULL DEFAULT '',
	hlastr varchar (255) NOT NULL DEFAULT '',
	hlapra varchar (255) NOT NULL DEFAULT '',
	hlapis varchar (64) NOT NULL DEFAULT '',
	paticka smallint NOT NULL DEFAULT 1,
	patvys smallint NOT NULL DEFAULT 500,
	patmez smallint NOT NULL DEFAULT 500,
	patlev varchar (255) NOT NULL DEFAULT '',
	patstr varchar (255) NOT NULL DEFAULT 'Strana ##/#*',
	patpra varchar (255) NOT NULL DEFAULT '',
	patpis varchar (64) NOT NULL DEFAULT '',
	cb smallint NOT NULL DEFAULT 0
);

CREATE TABLE pristupkody (
	id int NOT NULL ,
	pbxid int NOT NULL ,
	maska varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	ubrat smallint NOT NULL DEFAULT 0,
	pridat varchar (32) NOT NULL DEFAULT '',
	maskatyp smallint NOT NULL DEFAULT 0,
	pripl smallint NOT NULL DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	dosite smallint NOT NULL DEFAULT 0,
	bod smallint NOT NULL DEFAULT -1,
	dousite smallint NOT NULL DEFAULT 0,
	dopsite smallint NOT NULL DEFAULT 0,
	psit smallint NOT NULL DEFAULT -1,
	dopbx smallint NOT NULL DEFAULT 0,
	pbx smallint NOT NULL DEFAULT -1,
	PRIMARY KEY (id, pbxid)
);

CREATE TABLE provozovatele (
	cid smallint NOT NULL ,
	id smallint NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	PRIMARY KEY (cid, id)
);

CREATE TABLE pruchodkody (
	id int NOT NULL ,
	netid int NOT NULL ,
	maska varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	ubrat smallint NOT NULL DEFAULT 0,
	pridat varchar (32) NOT NULL DEFAULT '',
	pripl smallint NOT NULL DEFAULT 0,
	dosite smallint NOT NULL DEFAULT 0,
	bod smallint NOT NULL DEFAULT -1,
	dousite smallint NOT NULL DEFAULT 0,
	dopsite smallint NOT NULL DEFAULT 0,
	psit smallint NOT NULL DEFAULT -1,
	dopbx smallint NOT NULL DEFAULT 0,
	pbx smallint NOT NULL DEFAULT -1,
	PRIMARY KEY (id, netid)
);

CREATE TABLE pruchodsite (
	id int NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	PRIMARY KEY (id)
);

CREATE TABLE role (
	id smallint NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	oprav varchar (255) NOT NULL DEFAULT '',
	PRIMARY KEY (id) 
);

CREATE TABLE sazebniky (
	cid smallint NOT NULL ,
	pid smallint NOT NULL ,
	qid smallint NOT NULL ,
	id smallint NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	plati_od timestamp NOT NULL DEFAULT '1900-01-01 00:00:00',
	plati_do timestamp NOT NULL DEFAULT '1900-01-01 00:00:00',
	PRIMARY KEY (cid, pid, qid, id)
);

CREATE TABLE dalsipol (
	id smallint NOT NULL,
	gid int NOT NULL,
	text varchar (64) NOT NULL,
	castka int NOT NULL DEFAULT 0,
	jesdph smallint NOT NULL DEFAULT 1,
	procdph smallint NOT NULL DEFAULT 190,
	PRIMARY KEY (id, gid)
);

CREATE TABLE skupiny (
	id int NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	pripl smallint NOT NULL  DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	PRIMARY KEY (id)
);

CREATE TABLE sloupce (
	pid int NOT NULL ,
	cid smallint NOT NULL ,
	zarov smallint NULL DEFAULT 2,
	poradi smallint NULL DEFAULT 0,
	vis smallint NULL DEFAULT 1,
	usrw smallint NULL DEFAULT 0,
	sirka smallint NULL DEFAULT 50,
	PRIMARY KEY (pid, cid)
);

CREATE TABLE staty (
	id smallint NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	mzncis varchar (32) NOT NULL DEFAULT '',
	mzmcis varchar (32) NOT NULL DEFAULT '',
	PRIMARY KEY (id)
);

CREATE TABLE strediska (
	id int NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	pripl smallint NOT NULL DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	PRIMARY KEY (id)
);

CREATE TABLE styly (
	pid int NOT NULL,
	sid smallint NOT NULL,
	font varchar (64) NULL DEFAULT '',
	vzarov smallint NULL DEFAULT 0,
	hzarov smallint NULL DEFAULT 0,
	vyska smallint NULL DEFAULT 0, 
	PRIMARY KEY (pid, sid)
);

CREATE TABLE svazky (
	id int NOT NULL ,
	pbxid int NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	pripl int NOT NULL DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	ToPtr_DoSite smallint NOT NULL DEFAULT 0,
	ToPtr_Bod smallint NOT NULL DEFAULT -1,
	ToPtr_DoUSite smallint NOT NULL DEFAULT 0,
	ToPtr_DoPSite smallint NOT NULL DEFAULT 0,
	ToPtr_Psit smallint NOT NULL DEFAULT -1,
	ToPtr_DoPBX smallint NOT NULL DEFAULT 0,
	ToPtr_PBX smallint NOT NULL DEFAULT -1,
	ToPtr_dotab smallint NOT NULL DEFAULT 0,
	FmPtr_DoSite smallint NOT NULL DEFAULT 0,
	FmPtr_Bod smallint NOT NULL DEFAULT -1,
	FmPtr_DoUSite smallint NOT NULL DEFAULT 0,
	FmPtr_DoPSite smallint NOT NULL DEFAULT 0,
	FmPtr_Psit smallint NOT NULL DEFAULT -1,
	FmPtr_DoPBX smallint NOT NULL DEFAULT 0,
	FmPtr_PBX smallint NOT NULL DEFAULT -1,
	FmPtr_dotab smallint NOT NULL DEFAULT 0,
	odefil smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (id, pbxid)
);

CREATE TABLE tarpasma (
	cid smallint NOT NULL ,
	pid smallint NOT NULL ,
	qid smallint NOT NULL ,
	tid smallint NOT NULL ,
	id smallint NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	PRIMARY KEY (cid, pid, qid, tid, id) 
);

CREATE TABLE tarprogramy (
	cid smallint NOT NULL ,
	pid smallint NOT NULL ,
	id smallint NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	PRIMARY KEY (cid, pid, id)
);

CREATE TABLE tarprovozy (
	cid smallint NOT NULL ,
	pid smallint NOT NULL ,
	qid smallint NOT NULL ,
	tid smallint NOT NULL ,
	id smallint NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	PRIMARY KEY (cid, pid, qid, tid, id) 
);

CREATE TABLE tarsite (
	fileid smallint NOT NULL DEFAULT 0,
	version smallint NOT NULL DEFAULT 0,
	date timestamp NOT NULL DEFAULT '1900-01-01 00:00:00'
);

CREATE TABLE ustredny (
	id int NOT NULL ,
	Jmeno varchar (255) NOT NULL DEFAULT '',
	Pozn varchar (255) NOT NULL DEFAULT '',
	Format int NOT NULL DEFAULT 0,
	VyrobcePBX varchar (255) NOT NULL DEFAULT '',
	TypPBX varchar (255) NOT NULL DEFAULT '',
	POBAUTODET smallint NOT NULL DEFAULT 1,
	LINAUTODET smallint NOT NULL DEFAULT 1,
	ZKAUTODET smallint NOT NULL DEFAULT 1,
	SKUPAUTODET smallint NOT NULL DEFAULT 1,
	UKAUTODET smallint NOT NULL DEFAULT 0,
	POBMIGRATE smallint NOT NULL DEFAULT 0,
	JEVOLBA smallint NOT NULL DEFAULT 0,
	JETIMESTART smallint NOT NULL DEFAULT 0,
	JETRVOD1PULZU smallint NOT NULL DEFAULT 0,
	MAXPULZU int NOT NULL DEFAULT 9999,
	JEODCHOZI smallint NOT NULL DEFAULT 0,
	JEPRICHOZI smallint NOT NULL DEFAULT 0,
	JETRANZITNI smallint NOT NULL DEFAULT 0,
	JEVNITRNI smallint NOT NULL DEFAULT 0,
	JMENPOB smallint NOT NULL DEFAULT 0,
	JMENZK smallint NOT NULL DEFAULT 0,
	JMENUK smallint NOT NULL DEFAULT 0,
	Soubory smallint NOT NULL DEFAULT 0,
	MaskPodle smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (id)
);

CREATE TABLE uzivatele (
	id smallint NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	heslo varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	oprav varchar (255) NOT NULL DEFAULT '',
	dorole smallint NOT NULL DEFAULT 0,
	role smallint NOT NULL DEFAULT 0,
	vystavil varchar (64) NOT NULL DEFAULT '',	
	PRIMARY KEY (id)
);

CREATE TABLE uzivkody (
	id varchar (32) NOT NULL ,
	pbxid int NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	maskatyp smallint NOT NULL DEFAULT 0,
	pripl smallint NOT NULL DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	PRIMARY KEY (id, pbxid)
);

CREATE TABLE uzivsit (
	id int NOT NULL ,
	maska varchar (255) NOT NULL DEFAULT '%',
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	cena float NOT NULL DEFAULT 0,
	sekund smallint NOT NULL DEFAULT 60,
	procdph smallint NOT NULL DEFAULT 190,
	sdph smallint NOT NULL DEFAULT 1,
	typinfo smallint NOT NULL DEFAULT 0,
	oblast smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (id) 
);

CREATE TABLE uzlysite (
	id int NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	PRIMARY KEY (id)
);

CREATE TABLE vstupnibody (
	id smallint NOT NULL,
	jmeno varchar (255) NOT NULL DEFAULT '',
	cislo varchar (255) NOT NULL DEFAULT '',
	stat smallint NOT NULL DEFAULT 0,
	prov smallint NOT NULL DEFAULT 0,
	prog smallint NOT NULL DEFAULT 0,
	typinfo smallint NOT NULL DEFAULT 0,
	PRIMARY KEY (id)
);

CREATE TABLE zuctkody (
	id varchar (32) NOT NULL ,
	pbxid int NOT NULL ,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pozn varchar (255) NOT NULL DEFAULT '',
	vis smallint NOT NULL DEFAULT 1,
	maskatyp smallint NOT NULL DEFAULT 0,
	pripl smallint NOT NULL DEFAULT 0,
	jepismo smallint NOT NULL DEFAULT 0,
	jepozadi smallint NOT NULL DEFAULT 0,
	pismo int NOT NULL DEFAULT -2147483640,
	pozadi int NOT NULL DEFAULT -2147483643,
	PRIMARY KEY (id, pbxid) 
);
