##############################################
# Aktualizan skript pro Tardat 4
# Databze: PgSQL 8
# Autor: David Motl
# Datum: 02.10.2005
##############################################

# Pridani sloupcu do tabulky Obecne pro posporu sw klicu (verze 4.1.5)
TRY ALTER TABLE obecne ADD COLUMN softkeys int2;
UPDATE obecne SET softkeys=0 WHERE softkeys IS NULL;
TRY ALTER TABLE obecne ALTER COLUMN softkeys SET DEFAULT 0;
TRY ALTER TABLE obecne ALTER COLUMN softkeys SET NOT NULL;

TRY ALTER TABLE obecne ADD COLUMN ico varchar (32);
UPDATE obecne SET ico='' WHERE ico IS NULL;
TRY ALTER TABLE obecne ALTER COLUMN ico SET DEFAULT '';
TRY ALTER TABLE obecne ALTER COLUMN ico SET NOT NULL;

TRY ALTER TABLE obecne ADD COLUMN jmeno varchar (255);
UPDATE obecne SET jmeno='' WHERE jmeno IS NULL;
TRY ALTER TABLE obecne ALTER COLUMN jmeno SET DEFAULT '';
TRY ALTER TABLE obecne ALTER COLUMN jmeno SET NOT NULL;

#Pridani sloupce do tabulky export
TRY ALTER TABLE export ADD COLUMN detail int2;
UPDATE export SET detail=0 WHERE detail IS NULL;
TRY ALTER TABLE export ALTER COLUMN detail SET DEFAULT 0;
TRY ALTER TABLE export ALTER COLUMN detail SET NOT NULL;

#Pridani tabulek pro import ze souboru CSV
TRY CREATE TABLE importform (
	id int NOT NULL PRIMARY KEY,
	jmeno varchar (255) NOT NULL DEFAULT '',
	pocetpoli smallint NOT NULL DEFAULT 0,
	separ varchar (4) NOT NULL DEFAULT ';',
	voltyp smallint NOT NULL DEFAULT 0,
	volpoz smallint NOT NULL DEFAULT 0,
	volmaska smallint NOT NULL DEFAULT 9,
	datum smallint NOT NULL DEFAULT 0,
	cas smallint NOT NULL DEFAULT 0,
	telcislo smallint NOT NULL DEFAULT 0,
	trvani smallint NOT NULL DEFAULT 0,
	cena smallint NOT NULL DEFAULT 0,
	lintyp smallint NOT NULL DEFAULT 0,
	linpoz smallint NOT NULL DEFAULT 0,
	linmaska smallint NOT NULL DEFAULT 9
);
TRY ALTER TABLE importform ADD COLUMN uzivkod int2;
UPDATE importform SET uzivkod=0 WHERE uzivkod IS NULL;
TRY ALTER TABLE importform ALTER COLUMN uzivkod SET DEFAULT 0;
TRY ALTER TABLE importform ALTER COLUMN uzivkod SET NOT NULL;

TRY INSERT INTO importform (id, jmeno, pocetpoli, separ, voltyp, volpoz, volmaska, datum, cas, telcislo, trvani, cena, lintyp, linpoz, linmaska) 
VALUES (0, 'CesNet', 6, ';', 0, 1, 9, 3, 3, 2, 5, 6, 1, 0, 9);

TRY INSERT INTO importform (id, jmeno, pocetpoli, separ, voltyp, volpoz, volmaska, datum, cas, telcislo, trvani, cena, lintyp, linpoz, linmaska) 
VALUES (1, 'esk Telecom', 16, ';', 0, 3, 9, 6, 7, 8, 10, 14, 1, 0, 9);

TRY INSERT INTO importform (id, jmeno, pocetpoli, separ, voltyp, volpoz, volmaska, datum, cas, telcislo, trvani, cena, lintyp, linpoz, linmaska) 
VALUES (2, 'esk Radiokomunikace', 10, ';', 0, 4, 9, 1, 1, 5, 6, 7, 0, 4, 9);

TRY INSERT INTO importform (id, jmeno, pocetpoli, separ, voltyp, volpoz, volmaska, datum, cas, telcislo, trvani, cena, lintyp, linpoz, linmaska) 
VALUES (3, 'T-Mobile', 6, ';', 1, 0, 9, 3, 4, 2, 5, 6, 1, 0, 9);

TRY INSERT INTO importform (id, jmeno, pocetpoli, separ, voltyp, volpoz, volmaska, datum, cas, telcislo, trvani, cena, lintyp, linpoz, linmaska) 
VALUES (4, 'Tiscali', 7, ';', 0, 2, 9, 1, 1, 3, 6, 7, 0, 2, 9);

TRY INSERT INTO importform (id, jmeno, pocetpoli, separ, voltyp, volpoz, volmaska, datum, cas, telcislo, trvani, cena, lintyp, linpoz, linmaska) 
VALUES (5, 'EMEA', 8, ';', 1, 0, 9, 1, 2, 5, 3, 6, 0, 4, 9);

TRY INSERT INTO importform (id, jmeno, pocetpoli, separ, voltyp, volpoz, volmaska, datum, cas, telcislo, trvani, cena, lintyp, linpoz, linmaska, uzivkod) 
VALUES (6, 'Eurotel', 14, ';', 0, 1, 9, 4, 5, 9, 12, 13, 0, 1, 9, 6);

TRY CREATE TABLE importpob (
	id int NOT NULL PRIMARY KEY,
	maska varchar (255) NOT NULL DEFAULT '?',
	pobocka int NOT NULL
);

TRY INSERT INTO importpob (id, maska, pobocka) VALUES (0, '?', 0);

TRY CREATE TABLE importlin (
	id int NOT NULL PRIMARY KEY,
	maska varchar (255) NOT NULL DEFAULT '?',
	linka int NOT NULL
);

TRY INSERT INTO importlin (id, maska, linka) VALUES (0, '?', 0);

# Pridat do tabulky oblasti site polozku predvolba
TRY ALTER TABLE oblastisite ADD COLUMN predvolba varchar (64);
UPDATE oblastisite SET predvolba='00420' WHERE predvolba IS NULL;
TRY ALTER TABLE oblastisite ALTER COLUMN predvolba SET DEFAULT '00420';
TRY ALTER TABLE oblastisite ALTER COLUMN predvolba SET NOT NULL;

# Rozsirit velikosti nekterych poli typu varchar
ALTER TABLE intseznam ALTER COLUMN maska TYPE varchar (255);
ALTER TABLE monitor ALTER COLUMN uziv TYPE varchar (255);
ALTER TABLE monitor ALTER COLUMN pbx TYPE varchar (255);
ALTER TABLE monitor ALTER COLUMN pob TYPE varchar (255);
ALTER TABLE monitor ALTER COLUMN lin TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN uzivkody TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN skupiny TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN strediska TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN pobocky TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN linky TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN svazky TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN cisla TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN kody TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN odchod TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN ustredny TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN provoz TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN volcis TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN hlalev TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN hlastr TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN hlapra TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN patlev TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN patstr TYPE varchar (255);
ALTER TABLE prehledy ALTER COLUMN patpra TYPE varchar (255);

# Oprava typu u polozku papir v tabulce prehledy
ALTER TABLE prehledy ALTER COLUMN papir SET NOT NULL;

# Pridani sloupce MaskPodle do tabulky Ustredny
TRY ALTER TABLE ustredny ADD COLUMN maskpodle int2;
UPDATE ustredny SET maskpodle=0 WHERE maskpodle IS NULL;
TRY ALTER TABLE ustredny ALTER COLUMN maskpodle SET DEFAULT 0;
TRY ALTER TABLE ustredny ALTER COLUMN maskpodle SET NOT NULL;

#Pridani sloupce hotel do tabulky pobocky
TRY ALTER TABLE pobocky ADD COLUMN hotel int2;
UPDATE pobocky SET hotel=0 WHERE hotel IS NULL;
TRY ALTER TABLE pobocky ALTER COLUMN hotel SET DEFAULT 0;
TRY ALTER TABLE pobocky ALTER COLUMN hotel SET NOT NULL;

#Pridani tabulek pro minihotelovy provoz
TRY CREATE TABLE hotel (
	id_hotel serial NOT NULL PRIMARY KEY,
	jmeno varchar (255) NOT NULL DEFAULT '',
	ulice varchar (255) NOT NULL DEFAULT '',
	mesto varchar (255) NOT NULL DEFAULT '',
	psc   varchar (255) NOT NULL DEFAULT '',
	dalsi varchar (255) NOT NULL DEFAULT '',
	pozn  varchar (255) NOT NULL DEFAULT '',
	prichod timestamp,
	odchod timestamp,
	doklad varchar (255) NOT NULL DEFAULT '',
	provolano int NOT NULL DEFAULT 0,
	zaplaceno int NOT NULL DEFAULT 0,
	vlozil varchar (255) NOT NULL DEFAULT '',
	vyuctoval varchar (255) NOT NULL DEFAULT ''
);

TRY CREATE TABLE hotelpob (
	ucet int NOT NULL,
	pobid int NOT NULL,
	pbxid int NOT NULL
);

#Pridani sloupce hotel do tabulky pobocky
TRY ALTER TABLE obecne ADD COLUMN uctvyuct int2;
UPDATE obecne SET uctvyuct=0 WHERE uctvyuct IS NULL;
TRY ALTER TABLE obecne ALTER COLUMN uctvyuct SET DEFAULT 0;
TRY ALTER TABLE obecne ALTER COLUMN uctvyuct SET NOT NULL;

#Pridani sloupce hotel do tabulky pobocky
TRY ALTER TABLE obecne ADD COLUMN uctneplac int2;
UPDATE obecne SET uctneplac=0 WHERE uctneplac IS NULL;
TRY ALTER TABLE obecne ALTER COLUMN uctneplac SET DEFAULT 0;
TRY ALTER TABLE obecne ALTER COLUMN uctneplac SET NOT NULL;

#Pridani sloupce formdatcas do tabulky prehledy
TRY ALTER TABLE prehledy ADD COLUMN formdatcas int2;
UPDATE prehledy SET formdatcas=0 WHERE formdatcas IS NULL;
TRY ALTER TABLE prehledy ALTER COLUMN formdatcas SET DEFAULT 0;
TRY ALTER TABLE prehledy ALTER COLUMN formdatcas SET NOT NULL;

#Zmena poli DTF,DTL,DTV,SRF,SRL,SRV
ALTER TABLE hovory ALTER COLUMN dtf TYPE int;
ALTER TABLE hovory ALTER COLUMN dtl TYPE int;
ALTER TABLE hovory ALTER COLUMN dtv TYPE int;
ALTER TABLE hovory ALTER COLUMN srf TYPE int;
ALTER TABLE hovory ALTER COLUMN srl TYPE int;
ALTER TABLE hovory ALTER COLUMN srv TYPE int;
